More flexible syntax for accepting emails as comments.
Description

Here RedmineReceivingEmails the process is described to receive emails. Normally emails are assigned as new issues, but by

replying to the original email notification it is possible to append as a comment. However the syntax required is given as:

If the email subject contains something like "Re: [xxxxxxx #123]", the email is processed as a rep

ly and a note is added to issue #123. Otherwise, a new issue is created.

 I would like to request a more flexible option that would just look in the subject line for ... #123 and assign it as a follow up to issue

123 (in a similar way to wiki and issue comment links).

This would allow me to reply to the client, appending something like (Issue #123) in the subject line and CC: to my redmine tracker. If

he responded with further information, provided he hits reply-all (which most people do) Redmine will track the entire conversation all

tagged to the original issue number.

This could almost be done now but requires that I use the subject line from the notification email, which may confuse my clients.

History

#1 - 2008-10-13 13:39 - Jan Ivar Beddari

You could most likely fix this yourself by patching source:/trunk/app/models/mail_handler.rb at line 54.

You should try changing this regex to something that does not include the []-brackets. I don't remember the exact syntax so I'm not going to suggest

how to change it, but read up on the ruby regex library and you should be able to construct something that will work :^)

#2 - 2011-06-22 09:12 - André Jonsson

Why has not this simple (but ah so useful) feature been added?

Adding email conversations to an issue automatically is very useful, as I'm sure most people would agree too, so why not add it, when the

benifit:cost-ratio is so high?

#3 - 2011-08-22 14:13 - Etienne Massip

- Category set to Email receiving
